POST https://api.cryptohopper.com/v1/hopper/{id}/changebot

Changes the bot type of the hopper. Only switches a trading bot (0) to a manual trading bot (3) or signal bot (4), or one of those back to a trading bot.

OAuth scope: read manage About scopes

Example request

curl -X POST "https://api.cryptohopper.com/v1/hopper/HOPPER_ID/changebot" \
  -H "access-token: YOUR_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"bot_type":4}'

Parameters

Headers

NameTypeRequiredDescription
access-token string Required The OAuth access token of the user.

Path parameters

NameTypeRequiredDescription
id string Required Hopper ID.

Response

Example response (illustrative values)

{
    "data": "The bot type has been changed."
}

Status codes: 200. Errors return JSON with status, error and message. See How the API works for response codes and rate limits.